//LCDCu for I2CCu
//        by I.N.

//2013.07.17 ver.0.1

//R}h(instruction)
unsigned int lcd_command(unsigned char d)
{
	int r;

	r=i2c_beginTransmission(0x7C);
	if(r) return r;

	r=i2c_write(0x00);	//control byte for instruction
	if(r) return r;

	r=i2c_write(d);				//instruction
	if(r) return r;

	i2c_endTransmission();
	waitus(27);
	return 0;
}

//f[^(dat)
unsigned int lcd_write(unsigned char d)
{
	int r;

	r=i2c_beginTransmission(0x7C);
	if(r) return r;

	r=i2c_write(0x40);	//control byte for data
	if(r) return r;

	r=i2c_write(d);				//data
	if(r) return r;

	i2c_endTransmission();
	waitus(27);
	return 0;
}

void lcd_setCursor(int x, int y)
{
	lcd_command(0x80|(x+0x40*y));
}

void lcd_clear(void)
{
	lcd_command(0x01);
	waitms(2);
}

void lcd_home(void)
{
	lcd_command(0x02);
	waitms(2);
}

void lcd_begin(void)
{
	waitms(40);
	i2c_begin();
	lcd_command(0x38);
	lcd_command(0x39);
	lcd_command(0x14);
	lcd_command(0x70);
	lcd_command(0x56);
	lcd_command(0x6C); waitms(200);
	lcd_command(0x38);
	lcd_command(0x0C);
	lcd_command(0x01); waitms(2);
}

void lcd_print(char *s)
{
	char c;
	while(c=*s){
		lcd_write(c);
		s++;
	}
}

